import { GenericRESTService } from "../GenericRESTService";
declare class RESTWebinar extends GenericRESTService {
    http: any;
    _logger: any;
    evtEmitter: any;
    static getClassName(): string;
    getClassName(): string;
    static getAccessorName(): string;
    getAccessorName(): string;
    constructor(evtEmitter: any, _logger: any);
    start(http: any): Promise<unknown>;
    stop(): Promise<unknown>;
    createWebinar(name: string, subject: string, waitingRoomStartDate: Date, webinarStartDate: Date, webinarEndDate: Date, reminderDates: Array<Date>, timeZone: string, register: boolean, approvalRegistrationMethod: string, passwordNeeded: boolean, isOrganizer: boolean, waitingRoomMultimediaURL: Array<string>, stageBackground: string, chatOption: string): Promise<unknown>;
    updateWebinar(webinarId: string, name: string, subject: string, waitingRoomStartDate: Date, webinarStartDate: Date, webinarEndDate: Date, reminderDates: Array<Date>, timeZone: string, register: boolean, approvalRegistrationMethod: string, passwordNeeded: boolean, isOrganizer: boolean, waitingRoomMultimediaURL: Array<string>, stageBackground: string, chatOption: string): Promise<unknown>;
    getWebinarData(webinarId: string): Promise<unknown>;
    getWebinarsData(role: string): Promise<unknown>;
    warnWebinarModerators(webinarId: string): Promise<unknown>;
    publishAWebinarEvent(webinarId: string): Promise<unknown>;
    deleteWebinar(webinarId: string): Promise<unknown>;
}
export { RESTWebinar };
